[Fusionforge-commits] r14492 - trunk/tests/func

Christian Bayle cbayle at fusionforge.org
Tue Sep 27 14:18:05 CEST 2011


Author: cbayle
Date: 2011-09-27 14:18:04 +0200 (Tue, 27 Sep 2011)
New Revision: 14492

Modified:
   trunk/tests/func/db_reload.sh
Log:
Better guess forge_get_config path


Modified: trunk/tests/func/db_reload.sh
===================================================================
--- trunk/tests/func/db_reload.sh	2011-09-27 12:16:33 UTC (rev 14491)
+++ trunk/tests/func/db_reload.sh	2011-09-27 12:18:04 UTC (rev 14492)
@@ -3,8 +3,16 @@
 then
 	database=$1
 else
-	export PATH=$PATH:/usr/share/gforge/bin/:/usr/share/gforge/utils:/opt/gforge/utils
-	database=`FUSIONFORGE_NO_PLUGINS=true forge_get_config database_name`
+	scriptdir=$(dirname $0)
+	UTILS_PATH=$(cd $scriptdir/../../src ; pwd)
+	export PATH=$PATH:$UTILS_PATH/utils:$UTILS_PATH/bin
+	if type forge_get_config
+	then
+		database=`FUSIONFORGE_NO_PLUGINS=true forge_get_config database_name`
+	else
+		echo "$0: FATAL ERROR : COULD NOT FIND forge_get_config"
+		exit 1 
+	fi
 fi
 if [ "x$database" = "x" ]
 then




More information about the Fusionforge-commits mailing list